Bug 910883 (CVE-2013-0216, CVE-2013-0217) - CVE-2013-0216 CVE-2013-0217 kernel: xen: Linux netback DoS via malicious guest ring.
Summary: CVE-2013-0216 CVE-2013-0217 kernel: xen: Linux netback DoS via malicious gues...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0216, CVE-2013-0217
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 910884 910885 910886
Blocks: 910879
TreeView+ depends on / blocked
 
Reported: 2013-02-13 19:15 UTC by Petr Matousek
Modified: 2019-09-29 13:00 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-16 19:25:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0747 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-04-16 23:03:57 UTC

Description Petr Matousek 2013-02-13 19:15:33 UTC
The Xen netback implementation contains a couple of flaws which can allow a guest to cause a DoS in the backend domain, potentially affecting other domains in the system.

CVE-2013-0216 is a failure to sanity check the ring producer/consumer pointers which can allow a guest to cause netback to loop for an extended period preventing other work from occurring.

CVE-2013-0217 is a memory leak on an error path which is guest triggerable.

A malicious guest with access to PV network devices can mount a DoS affecting the entire system.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 2 Petr Matousek 2013-02-13 19:20:23 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 910886]

Comment 4 Petr Matousek 2013-02-13 19:25:48 UTC
Statement CVE-2013-0216:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

Comment 5 Petr Matousek 2013-02-13 19:26:11 UTC
Statement CVE-2013-0217: 

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

Comment 19 errata-xmlrpc 2013-04-16 19:04:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0747 https://rhn.redhat.com/errata/RHSA-2013-0747.html


Note You need to log in before you can comment on or make changes to this bug.